var path = require('path');

module.exports = {
  entry: './src/ReactSudoku.js',
  output: {
    path: path.resolve(__dirname, 'build'),
    filename: 'index.js',
    libraryTarget: 'commonjs2' // THIS IS THE MOST IMPORTANT LINE! :mindblow: I wasted more than 2 days until realize this was the line most important in all this guide.
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        include: path.resolve(__dirname, 'src'),
        exclude: /(node_modules|build)/,
        use: {
          loader: 'babel-loader',
          options: {
            presets: [ 'react', 'env' ],
						plugins: [ 'transform-class-properties' ]
          }
        }
      },
			{
				test:/\.css$/,
				use: [
					{ loader: 'style-loader', },
					{ loader: 'css-loader', },	
				]
			}
    ]
  },
};
